package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2000, 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
**********************************************************************/

public interface IEditorListConstants {
	
	public static String PLUGIN_ID= "ca.uwaterloo.gp.editorlist"; //$NON-NLS-1$
	
	/**
	 * View ID of the EditorList view
	 */
	public static String EDITORLIST_ID= "ca.uwaterloo.gp.EditorList"; //$NON-NLS-1$
	
	// Preference keys
	/**
	 * Boolean preference controlling whether or not resource attributes are
	 * shown for editors in the editorlist
	 */
	public static String PREF_SHOW_RESOURCE_ATTRIBUTES= PLUGIN_ID + ".prefShowResourceAttributes"; //$NON-NLS-1$

}
